function onBegin()
    disableRetry()
    setFlag("ukiran_YTTL_timebunny", false) -- if you somehow show up WITH the factor, it makes it so you don't die during it. wow!
    setFlag("ukiran_YTTL_start", true)
    disablePause() -- disables pausing so you dont fuck things up! wow!
    wait(0.9) -- waits for the slowdown to fully kick up

    -- plays the YTTL sound effect. The setFlag and wait allow for the words to sync, each text is timed.
    playSound("event:/ukiranMDspookFX/YTTL4_mamamia")
    wait(2.3)
    setFlag("ukiran_YTTL_white", true)
    wait(2)
    setFlag("ukiran_YTTL_endingTP", true)
    enablePause()
end
